Package org.codehaus.groovy.transform.sc.transformers

# Class BinaryExpressionTransformer

java.lang.Object
org.codehaus.groovy.transform.sc.transformers.BinaryExpressionTransformer

public class BinaryExpressionTransformer extends Object

## Constructor Summary

Constructors
Constructor
Description
`BinaryExpressionTransformer(StaticCompilationTransformer staticCompilationTransformer)`

## Method Summary

Modifier and Type
Method
Description
`protected static boolean`
`isNullConstant(Expression expression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BinaryExpressionTransformer

public BinaryExpressionTransformer(StaticCompilationTransformer staticCompilationTransformer)

## Method Details

### isNullConstant

protected static boolean isNullConstant(Expression expression)